Subject: Reconfiguring from chroot to fix Grub/boot partition fails because D-bus crashes

From: Mathieu <[email-masked]>
Date: Thu, 16 Nov 2023 01:30:51 +0100

Dear Guix users,

For some reason, still to be understood, my EFI partition is no longer detected at boot and I cannot boot my existing Guix System. I could confirm that the Guix partition (encrypted) is fine, but my BIOS won't detect any bootable partition. Turns out my `/dev/nvme0n1p1` partition only contains a single file: `EFI/Guix/grubx64.efi`.

Then there is 3.72 GiB of unallocated space on the drive, and then `/dev/nvme0n1p3` which is my LUKS encrypted Guix root.

I tried following this guide: https://guix.gnu.org/manual/en/html_node/Chrooting-into-an-existing-system.html

I only had to add an extra step at the beginning to decrypt the partition with `cryptsetup luksOpen /dev/nvme0n1p3 cryptroot` and then mounted `/dev/mapper/cryptroot` to `/mnt` before following the next instructions.

Unfortunately, the last step of the guide, `guix system reconfigure /path/to/config.scm`, fails because D-bus crashes, which in turn breaks all my network interfaces (they all are toggled "DOWN" and won't get a IP when I turn them up again), and ultimately the `guix system reconfigure` cannot work either without an Internet connection.

This is what `/var/log/messages` say when I run the last step at 22:51: https://0x0.st/Hv2f.jpg

This looks like a bug since I did everything the guide indicates. Can anyone reproduce it and confirm that chrooting into an existing Guix installation to reconfigure and rescue the system does not work? Is there something missing in the how-to to prevent the D-bus crash? Would there be another way to save my system, i.e., reinstalling Guix from scratch on another SSD and then `dd` the LUKS partition from the broken SSD onto the root partition of the new one?

Any help would be welcome, as it'd give me hope that I can save my system and data. Many thanks in advance!

Kabouik